<?php
error_reporting(E_ALL & ~E_DEPRECATED);
session_start();

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/func.php';
if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }

$_SESSION['tov']=$_GET['id'];

?>
<script type="text/javascript">
    $(function(){
        var btnUpload=$('#upl_button');
        var status=$('#upl_status');
        new AjaxUpload(btnUpload, {
            action: './uploader_img.php',
            name: 'upl_file',
            data: {sid : '<?=session_id()?>'},
            onSubmit: function(file, ext){
                status.html('');
                if (! (ext && /^(jpg|jpeg|png)$/.test(ext))){
                    status.html('Допустимые форматы:'+"<br />"+'jpg / jpeg / png ');
                    return false;
                }
                $('#file').fadeOut(0);
                $('#loading').attr('src', 'loading.gif').fadeIn(0);
            },
            onComplete: function(file, response){
                status.html('');
                $('#file').html('');
                var arr_resp = response.split("#%#");
                if(arr_resp[0]==="true"){
                    $('#loading').fadeOut(0);
                    $('#file').attr('src', 'files/' + arr_resp[1]).fadeIn(0);
                }else{
                    status.html(response);
					 $('#loading').fadeOut(0);
                }
            }
        });
    });
</script>
<div class="big_topics bor_top round3 FFF hr">
      
       <div class="wrap_user_r">
       <div class="top_games_small">Загрузка изображения к товару: <?=$_GET['id']?></div>
       <?
        $sql = $pdo->Query("SELECT * FROM `php_img` WHERE `tovar` = '".$_GET['id']."'");
        $num = $sql->RowCount();
        if($num >= 1) { echo "<div align='center'><font color='red'>Вы уже загружали изображение.</font></div></div></div></div>"; exit(); }
        ?>
         <div id="add_file">
        <a href="javascript:history.go(-1)" class="fb round3" style="padding: 6px 10px;float: left;margin-right: 5px;">Назад</a>
		<div id="upl_button" class="fb round3">загрузить файл</div>
        <img id="loading" src="loading.gif" height="28" style="display: none;" />
        <div id="upl_status"></div>
    </div>
       </div>
 </div>
<?}?>